TT2TEXT(1)

NAME
tt2text - Convert Touch Tone sequence to text

SYNOPSIS
tt2text touch-tone-squence

DESCRIPTION
tt2text converts a Touch Tone sequence to text. There are two types of encoding:

    Multi-Press - Used for comments.

        Letters are represented by one or more presses of the same key depending on their order listed on the button. e.g. Press 5 key once for J, twice for K, thrice for L.

        To specify a digit use the number of letters listed on the button plus one. e.g. Press 5 key four times to get digit 5. When two characters in a row use the same key, use the "A" key as a separator.

    Two-Key - Used for callsigns.

        Digits are represented by a single key press.

        Letters (or space) are represented by the corresponding key followed by A, B, C, or D depending on the order of the letter in the order listed.

This application will try to decode the sequence using both methods.

OPTIONS

None.

EXAMPLES

tt2text 2A22A2223A33A33340A00122223333

Could be either type of encoding.
Decoded text from multi-press method:
"ABCDEFG 0123"
Decoded text from two-key method:
"A2A222D3D3334 00122223333"

SEE ALSO
More detailed information is in the PDF files at https://github.com/wb2osz/direwolf/tree/master/doc/.

Applications in this package: aclients, atest, decode_aprs, direwolf, gen_packets, kissutil, ll2utm, log2gpx, text2tt, tt2text, utm2ll